/*******************************************************************************
 * types.C - Conversion routines
 *
 * $Id: types.C,v 1.2 2005/04/26 11:12:31 mscheid Exp $
 *
 * Special conversions for non-standard types
 *
 * Author: Matthias Scheidegger <mscheid@iam.unibe.ch>
 *
 * Copyright 2001, Matthias Scheidegger
 *
 ******************************************************************************/

#include "types.H"
#include <endian.h>
#include <byteswap.h>

__u64 ntoh64(__u64 ts)
{
#if __BYTE_ORDER == __LITTLE_ENDIAN
    return bswap_64(ts);
#else
    return ts;
#endif
}
